#
# Project Builder configuration file
# For project mondorescue
#
# $Id$
#

pburl mondorescue = svn+ssh://svn.mondorescue.org/prj/svn/mondorescue
#
#
# Packager label
pbpackager mondorescue = Bruno Cornec <bruno@mondorescue.org>

# Root repo
pbrepo mondorescue = ftp://ftp.mondorescue.org

# ML for announces
pbml mondorescue = mondo-devel@lists.sourceforge.net,mondo-announce@mondorescue.org
pbsmtp mondorescue = localhost

#
# For delivery to a machine by SSH (potentially the FTP server)
# Needs hostname, account and directory
#
sshhost mondorescue = www.mondorescue.org
sshlogin mondorescue = bruno
sshdir mondorescue = /prj/ftp
sshport mondorescue = 22

testver mondorescue = true
delivery mondorescue = test
projver mondorescue = 3.3.0
projtag mondorescue = 1

# Hash of default package/package directory
defpkgdir MondoRescue = MondoRescue
namingtype MondoRescue = perl
defpkgdir mondo = mondo
defpkgdir mindi = mindi

pkgver mindi = 3.3.0
pkgver mindi-busybox = 1.25.1
#pkgtag mindi-busybox = 3

# Hash of additional package/package directory
extpkgdir mindi-busybox = mindi-busybox
extpkgdir mondo-doc = mondo-doc
# Gentoo doesn't name the package mondo as it conflicts
# So we create an additional fake package just for it
#extpkgdir mondo-rescue = mondo

# Website management and delivery
webdir mondorescue = website
websshhost mondorescue = www.mondorescue.org
websshlogin mondorescue = apache
websshdir mondorescue = /prj/www/html/mondorescue
websshport mondorescue = 22

# Hash of valid version names
version mondorescue = devel,stable

# List of additional files on which to apply filters
# Files are mentioned relatively to pbroot
filteredfiles mondo = configure.ac
filteredfiles mondo-doc = mondorescue-howto.sgml,mondoarchive.8,mondorestore.8,mindi.8
filteredfiles mindi = rootfs/etc/init.d/rcS,mindi,install.sh
filteredfiles mindi-busybox = Makefile
filteredfiles MondoRescue = Makefile.PL,bin/mr-analyze-lvm,lib/MondoRescue/Version.pm
filteredfiles website = top.shtml

checkexclude all = centos,lsb,solaris

# List of systems on which we are building and that we thus support
# Newer distros build with Docker
velist mondorescue = debian-7-x86_64,debian-8-x86_64,centos-5-x86_64,centos-6-x86_64,centos-7-x86_64,fedora-21-x86_64,fedora-22-x86_64,fedora-23-x86_64,fedora-24-x86_64,fedora-25-x86_64,ubuntu-12.04-x86_64,ubuntu-14.04-x86_64,ubuntu-14.10-x86_64,ubuntu-15.04-x86_64,ubuntu-15.10-x86_64,ubuntu-16.04-x86_64,ubuntu-16.10-x86_64,opensuse-13.1-x86_64,opensuse-13.2-x86_64,opensuse-42.1-x86_64,opensuse-42.2-x86_64,mageia-4-x86_64,mageia-5-x86_64
vmlist mondorescue = asianux-2-i386,asianux-3-i386,mandrake-10.1-i386,mandrake-10.2-i386,mandriva-2006.0-i386,mandriva-2007.0-i386,mandriva-2007.1-i386,mandriva-2008.0-i386,mandriva-2008.1-i386,mandriva-2009.0-i386,mandriva-2009.1-i386,mandriva-2010.0-i386,mandriva-2010.1-i386,redhat-7.3-i386,redhat-9-i386,fedora-4-i386,fedora-5-i386,fedora-6-i386,fedora-7-i386,fedora-8-i386,fedora-9-i386,fedora-10-i386,fedora-11-i386,fedora-12-i386,fedora-13-i386,fedora-14-i386,fedora-15-i386,fedora-16-i386,fedora-17-i386,fedora-18-i386,fedora-19-i386,fedora-20-i386,fedora-21-i386,rhel-2-i386,rhel-3-i386,rhel-4-i386,rhel-5-i386,rhel-6-i386,suse-10.0-i386,suse-10.1-i386,opensuse-10.2-i386,opensuse-10.3-i386,opensuse-11.0-i386,opensuse-11.1-i386,opensuse-11.2-i386,opensuse-11.3-i386,opensuse-11.4-i386,opensuse-12.1-i386,opensuse-12.2-i386,opensuse-12.3-i386,opensuse-13.1-i386,opensuse-13.2-i386,sles-9-i386,sles-10-i386,sles-11-i386,gentoo-nover-i386,debian-3-i386,debian-4-i386,debian-5-i386,debian-6-i386,debian-7-i386,debian-8-i386,ubuntu-6.06-i386,ubuntu-7.04-i386,ubuntu-7.10-i386,ubuntu-8.04-i386,ubuntu-8.10-i386,ubuntu-9.04-i386,ubuntu-9.10-i386,ubuntu-10.04-i386,ubuntu-10.10-i386,ubuntu-11.04-i386,ubuntu-11.10-i386,ubuntu-12.04-i386,ubuntu-12.10-i386,ubuntu-13.04-i386,ubuntu-13.10-i386,ubuntu-14.04-i386,ubuntu-14.10-i386,ubuntu-15.04-i386,ubuntu-15.10-i386,ubuntu-16.04-i386,solaris-10-i386,asianux-2-x86_64,asianux-3-x86_64,mandriva-2007.0-x86_64,mandriva-2007.1-x86_64,mandriva-2008.0-x86_64,mandriva-2008.1-x86_64,mandriva-2009.0-x86_64,mandriva-2009.1-x86_64,mandriva-2010.0-x86_64,mandriva-2010.1-x86_64,mageia-1-i386,mageia-2-i386,mageia-3-i386,mageia-4-i386,mageia-5-i386,mageia-1-x86_64,mageia-2-x86_64,mageia-3-x86_64,fedora-6-x86_64,fedora-7-x86_64,fedora-8-x86_64,fedora-9-x86_64,fedora-10-x86_64,fedora-11-x86_64,fedora-12-x86_64,fedora-13-x86_64,fedora-14-x86_64,fedora-15-x86_64,fedora-16-x86_64,fedora-17-x86_64,fedora-18-x86_64,fedora-19-x86_64,fedora-20-x86_64,rhel-3-x86_64,rhel-4-x86_64,rhel-5-x86_64,rhel-6-x86_64,rhel-7-x86_64,opensuse-10.2-x86_64,opensuse-10.3-x86_64,opensuse-11.0-x86_64,opensuse-11.1-x86_64,opensuse-11.2-x86_64,opensuse-11.3-x86_64,opensuse-11.4-x86_64,opensuse-12.1-x86_64,opensuse-12.2-x86_64,opensuse-12.3-x86_64,sles-10-x86_64,sles-11-x86_64,sles-12-x86_64,gentoo-nover-x86_64,debian-4-x86_64,debian-5-x86_64,debian-6-x86_64,debian-7-x86_64,ubuntu-7.04-x86_64,ubuntu-7.10-x86_64,ubuntu-8.04-x86_64,ubuntu-8.10-x86_64,ubuntu-9.04-x86_64,ubuntu-9.10-x86_64,ubuntu-10.04-x86_64,ubuntu-10.10-x86_64,ubuntu-11.04-x86_64,ubuntu-11.10-x86_64,ubuntu-12.10-x86_64,ubuntu-13.04-x86_64,ubuntu-13.10-x86_64
